DataBolsa docs
ApiMercadoEua

Cotações EOD de um ativo dos EUA (USD)

Preços diários em USD, ajustados por desdobramento na fonte.

GET
/v1/us/assets/{ticker}/quotes
AuthorizationBearer <token>

In: header

Path Parameters

tickerstring

Ticker do ativo nos EUA, ex.: AAPL, MSFT, SPY.

Match^[A-Z0-9.\-]+$
Length1 <= length <= 10

Query Parameters

cursor?string
limit?integer
Default100
Range1 <= value <= 20000
from?string
Match^\d{4}-\d{2}-\d{2}$
to?string
Match^\d{4}-\d{2}-\d{2}$

Response Body

curl -X GET "https://api.databolsa.com/v1/us/assets/string/quotes?cursor=string&limit=100&from=string&to=string"
{
  "data": [
    {
      "date": "string",
      "open": 0,
      "high": 0,
      "low": 0,
      "close": 0,
      "volume": 0
    }
  ],
  "meta": {
    "next_cursor": "string",
    "count": 0
  }
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string"
}